## okteta 0.26.20

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

project(Okteta VERSION 0.26.20)

set(REQUIRED_KF5_VERSION "5.48.0")
find_package(ECM ${REQUIRED_KF5_VERSION} REQUIRED NO_MODULE)

set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake ${ECM_MODULE_PATH})

# ECM KDE macros (include first, to have their policies and settings effect all other macros)
include(KDEInstallDirs)
include(KDECMakeSettings NO_POLICY_SCOPE)
include(KDECompilerSettings NO_POLICY_SCOPE)
# ECM macros
include(ECMInstallIcons)
include(ECMAddAppIcon)
# CMake macros
include(FeatureSummary)
include(CMakeDependentOption)
if(BUILD_TESTING)
  include(ECMAddTests)
endif()
# Okteta macros
include(OktetaInternalMacros)

# control build scope, default to examples if BUILD_TESTING is ON
if( NOT DEFINED OMIT_EXAMPLES AND NOT BUILD_TESTING )
    set( OMIT_EXAMPLES TRUE )
endif()
if( NOT DEFINED OMIT_INTERNAL_TEMPLATES AND NOT BUILD_TESTING )
    set( OMIT_INTERNAL_TEMPLATES TRUE )
endif()

if( NOT OMIT_EXAMPLES )
    set( OKTETA_BUILD_EXAMPLES TRUE )
endif()
if( NOT OMIT_INTERNAL_TEMPLATES )
    set( KASTEN_BUILD_INTERNAL_TEMPLATES TRUE )
endif()

option(BUILD_DESIGNERPLUGIN "Build the Designer plugin." ON)
add_feature_info(DESIGNERPLUGIN ${BUILD_DESIGNERPLUGIN} "Qt Designer plugin")
option(BUILD_OKTETAKASTENLIBS "Build the Okteta Kasten libraries." ON)
add_feature_info(OKTETAKASTENLIBS ${BUILD_OKTETAKASTENLIBS} "Okteta Kasten libraries")
cmake_dependent_option(BUILD_TERMINALTOOL "Build the Terminal tool (needs Konsole/Qt5 KPart)." ON "BUILD_OKTETAKASTENLIBS" OFF)
add_feature_info(TERMINALTOOL ${BUILD_TERMINALTOOL} "Terminal tool")

cmake_dependent_option(BUILD_KPARTSPLUGIN "Build the KParts plugin." ON "BUILD_OKTETAKASTENLIBS" OFF)
add_feature_info(KPARTSPLUGIN ${BUILD_KPARTSPLUGIN} "KParts plugin")
cmake_dependent_option(BUILD_DESKTOPPROGRAM "Build the program." ON "BUILD_OKTETAKASTENLIBS" OFF)
add_feature_info(DESKTOPPROGRAM ${BUILD_DESKTOPPROGRAM} "Program")

set(REQUIRED_QT_VERSION "5.9.0")
set(ADDITIONAL_REQUIRED_QT_COMPONENTS)
if(BUILD_TESTING)
    list(APPEND ADDITIONAL_REQUIRED_QT_COMPONENTS Test)
endif()
if( BUILD_DESIGNERPLUGIN )
    list(APPEND ADDITIONAL_REQUIRED_QT_COMPONENTS UiPlugin)
endif()
if( BUILD_OKTETAKASTENLIBS )
    list(APPEND ADDITIONAL_REQUIRED_QT_COMPONENTS
        Network
        PrintSupport
        Qml
        Script
        ScriptTools
        Xml
    )
endif()
find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED
    COMPONENTS
    Core
    Widgets
    ${ADDITIONAL_REQUIRED_QT_COMPONENTS}
)

set(ADDITIONAL_REQUIRED_KF_COMPONENTS)
if( BUILD_OKTETAKASTENLIBS )
    list(APPEND ADDITIONAL_REQUIRED_KF_COMPONENTS
        Bookmarks
        Completion
        IconThemes
        KCMUtils
        KIO
        NewStuff
        Service
        WidgetsAddons
        XmlGui
    )
endif()
if (BUILD_TERMINALTOOL OR BUILD_KPARTSPLUGIN)
    list(APPEND ADDITIONAL_REQUIRED_KF_COMPONENTS
        Parts
    )
endif()
if( BUILD_DESKTOPPROGRAM )
    list(APPEND ADDITIONAL_REQUIRED_KF_COMPONENTS
        Crash
        DBusAddons
        DocTools
    )
endif()
find_package(KF5 ${REQUIRED_KF5_VERSION} REQUIRED
    COMPONENTS
    Codecs
    ConfigWidgets
    I18n
    ${ADDITIONAL_REQUIRED_KF_COMPONENTS}
)

find_package(Qca-qt5 2.1.0)
set_package_properties(Qca-qt5 PROPERTIES
    DESCRIPTION "Qt Cryptographic Architecture"
    URL "https://commits.kde.org/qca"
    TYPE OPTIONAL
    PURPOSE "Needed for most of the algorithms of the checksum tool"
)

add_definitions(
    -DQT_DEPRECATED_WARNINGS
    -DQT_DISABLE_DEPRECATED_BEFORE=0x050900
    -DQT_USE_QSTRINGBUILDER
    -DQT_NO_CAST_TO_ASCII
    -DQT_NO_CAST_FROM_ASCII
    -DQT_NO_CAST_FROM_BYTEARRAY
    -DQT_STRICT_ITERATORS
    -DQT_NO_URL_CAST_FROM_STRING
    -DQT_NO_SIGNALS_SLOTS_KEYWORDS
    -DQT_NO_NARROWING_CONVERSIONS_IN_CONNECT
)

# helper libs
add_subdirectory( libs )
if( BUILD_DESKTOPPROGRAM )
    add_subdirectory( doc )
endif()

set( OKTETALIBS_MAJOR_VERSION 0 )
set( OKTETALIBS_MINOR_VERSION 10 )
set( OKTETALIBS_PATCHLEVEL_VERSION 0 )
set( OKTETALIBS_VERSION "${OKTETALIBS_MAJOR_VERSION}.${OKTETALIBS_MINOR_VERSION}.${OKTETALIBS_PATCHLEVEL_VERSION}" )
set( OKTETALIBS_ABI_VERSION 3 )

set( OKTETALIBS_LIB_SOVERSION 0 )
set( OKTETALIBS_LIB_VERSION ${OKTETALIBS_VERSION} )

# Okteta libs
add_subdirectory( core )
add_subdirectory( gui )

if( BUILD_DESIGNERPLUGIN )
    add_subdirectory( designer )
endif()

# Okteta Kasten components
if( BUILD_OKTETAKASTENLIBS )
    add_subdirectory( kasten )
endif()
# special mimetypes
if( BUILD_OKTETAKASTENLIBS )
    add_subdirectory( mimetypes )
endif()

# programs and parts for desktop
add_subdirectory( parts )
if( BUILD_DESKTOPPROGRAM )
    add_subdirectory( program )
endif()

ki18n_install(po)

if( BUILD_DESKTOPPROGRAM )
    kdoctools_install(po)
endif()

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== gui/CMakeLists.txt ===
set(OKTETAGUI_VERSION ${OKTETALIBS_LIB_VERSION})
set(OKTETAGUI_SO_VERSION ${OKTETALIBS_LIB_SOVERSION})

add_definitions(-DTRANSLATION_DOMAIN=\"liboktetagui\")

macro(OKTETAGUI_ADD_SUBLIBRARY _subdir)
    okteta_add_sublibrary(Gui NAMESPACE Okteta
        SUBDIR ${_subdir}
        ${ARGN}
    )
endmacro()

oktetagui_add_sublibrary(controller
    PRIVATE
        AbstractController
        AbstractMouseController
        AbstractWheelController
        AbstractEditor
        KeyNavigator
        TabController
        ClipboardController
        UndoRedoController
        CharEditor
        ValueEditor
        MouseNavigator
        MousePaster
        TapNavigator
        # Dragger
        ZoomWheelController
        ZoomPinchController
        Dropper

        TouchOnlyTapAndHoldGesture
        TouchOnlyTapAndHoldGestureRecognizer
)

oktetagui_add_sublibrary(libcolumnsview
    PUBLIC
        AbstractColumnStylist
        AbstractColumnRenderer
        ColumnsView
        PixelMetrics # TODO: this header needs to be redone
)

okteta_add_sublibrary(Gui  NAMESPACE Okteta
    PUBLIC
        OktetaGui

        LinePosition
        Line
        LinePositionRange
        LineRange

        Coord
        CoordRange
        CoordRangeList
        Selection

        AbstractByteArrayColumnRenderer
        CharByteArrayColumnRenderer
        ValueByteArrayColumnRenderer
        ByteArrayRowColumnRenderer
        OffsetColumnRenderer
        BorderColumnRenderer

        AbstractByteArrayView
        ByteArrayColumnView

        OffsetFormat
        ByteArrayTableRanges
        ByteArrayRowView
        ByteArrayTableLayout
        WidgetColumnStylist

    PRIVATE
        ByteArrayTableCursor
        Cursor
        FontScalingZoomState
)


okteta_add_library(Gui NAMESPACE Okteta
    PUBLIC
        OktetaCore
        Qt5::Widgets
    PRIVATE
        KF5::I18n
        KF5::ConfigWidgets
    VERSION     ${OKTETAGUI_VERSION}
    SOVERSION   ${OKTETAGUI_SO_VERSION}
    ABIVERSION  ${OKTETALIBS_ABI_VERSION}
    SOURCES   ${oktetagui_LIB_SRCS}
    HEADERS   ${oktetagui_LIB_HDRS}
    CCHEADERS ${oktetagui_LIB_CCHDRS}
    NO_TARGET_NAMESPACE
    NO_VERSIONED_INCLUDEDIR
    NO_VERSIONED_PACKAGE_NAME
)

target_include_directories(OktetaGui
    PUBLIC $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/libcolumnsview>
)

okteta_add_cmakeconfig(Gui NAMESPACE Okteta
)

okteta_add_qmakeconfig(Gui NAMESPACE Okteta
    DEPS OktetaCore widgets
)

okteta_add_pkgconfig(Gui NAMESPACE Okteta
    DEPS OktetaCore Qt5Widgets
    DESCRIPTION "Okteta Gui"
)

if(BUILD_TESTING)
    add_subdirectory(tests)
#   add_library( testoktetacore STATIC ${oktetagui_LIB_SRCS} )
endif()

=== kasten/core/CMakeLists.txt ===
set(OKTETAKASTENCORE_VERSION ${OKTETAKASTEN_LIB_VERSION})
set(OKTETAKASTENCORE_SO_VERSION ${OKTETAKASTEN_LIB_SOVERSION})

add_definitions(-DTRANSLATION_DOMAIN=\"liboktetakasten\")

macro(OKTETAKASTENCORE_ADD_SUBLIBRARY _subdir)
    okteta_add_sublibrary(Core NAMESPACE Okteta Kasten
        REVERSE_NAMESPACE_INCLUDEDIR
        SUBDIR ${_subdir}
        ${ARGN}
    )
endmacro()

oktetakastencore_add_sublibrary(document
    PUBLIC
        ByteArrayDocument
        ByteArrayDocumentFactory
        ByteArraySelection
)

oktetakastencore_add_sublibrary(io/filesystem
    PUBLIC
        ByteArrayRawFileSynchronizer
        ByteArrayRawFileSynchronizerFactory
    PRIVATE
        #   io/filesystem/externalbookmarkstorage
        ByteArrayRawFileLoadThread
        ByteArrayRawFilereloadThread
        ByteArrayRawFilewriteThread
        ByteArrayRawFileLoadJob
        ByteArrayRawFileConnectjob
        ByteArrayRawFileWriteJob
        ByteArrayRawFileReloadJob
        ByteArrayRawFileWriteToJob
)


okteta_add_library(Core NAMESPACE Okteta Kasten
    PUBLIC
        KastenCore
        OktetaCore
    PRIVATE
        KF5::I18n
        KF5::Bookmarks
    VERSION     ${OKTETAKASTENCORE_VERSION}
    SOVERSION   ${OKTETAKASTENCORE_SO_VERSION}
    ABIVERSION  ${OKTETAKASTEN_ABI_VERSION} ${KASTEN_ABI_VERSION}
    SOURCES   ${oktetakastencore_LIB_SRCS}
    HEADERS   ${oktetakastencore_LIB_HDRS}
    CCHEADERS ${oktetakastencore_LIB_CCHDRS}
    NO_TARGET_NAMESPACE
    NO_VERSIONED_INCLUDEDIR
    NO_VERSIONED_PACKAGE_NAME
    REVERSE_NAMESPACE_INCLUDEDIR
    REVERSE_NAMESPACE_LIB
)
target_include_directories(OktetaKastenCore
    PUBLIC
        $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/document>
)


okteta_add_cmakeconfig(Core NAMESPACE Okteta Kasten
)

if(BUILD_TESTING)
  add_subdirectory(document/tests)
  add_subdirectory(io/tests)
endif()

=== kasten/controllers/view/structures/tests/CMakeLists.txt ===
ecm_add_tests(
    primitivearraytest.cpp
    arraydatainformationtest.cpp
    basicdatainformationtest.cpp
    scriptclassestest.cpp
    uniondatainformationtest.cpp
    allprimitivetypestest.cpp
    scriptvalueconvertertest.cpp
    osdparsertest.cpp
    commonparsertest.cpp
    jsparsertest.cpp
    customtostringtest.cpp
    locktooffsettest.cpp

    NAME_PREFIX oktetakasten-controllers-structures-
    LINK_LIBRARIES
        structuresdatatypes
        Qt5::Test
)

ecm_add_test(
    primitivedatainformationtest.cpp
    NAME_PREFIX oktetakasten-controllers-structures-
    LINK_LIBRARIES
        structuresdatatypes
        KF5::I18n
        Qt5::Test
)

# remove useless default definition of QT_TESTCASE_BUILDDIR in interface from imported target Qt5::Test
get_target_property(qttestdefs Qt5::Test INTERFACE_COMPILE_DEFINITIONS)
list(FILTER qttestdefs EXCLUDE REGEX [[^QT_TESTCASE_BUILDDIR=]])
set_property(TARGET Qt5::Test PROPERTY INTERFACE_COMPILE_DEFINITIONS ${qttestdefs})
# set the definition as needed for our tests
target_compile_definitions(customtostringtest PRIVATE QT_TESTCASE_BUILDDIR="${CMAKE_CURRENT_BINARY_DIR}")
target_compile_definitions(jsparsertest       PRIVATE QT_TESTCASE_BUILDDIR="${CMAKE_CURRENT_BINARY_DIR}")
# TODO: still fragile once __FILE__ is neither absolute or full relative path to this build dir
# look into using custom code intead of simple QFINDTESTDATA usage

=== debian/changelog ===
okteta (5:0.26.20-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 4.7.2, no changes required.
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.16

 -- Pino Toscano <pino@debian.org>  Fri, 07 Mar 2025 07:35:58 +0100

## okteta 0.26.21

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 
-project(Okteta VERSION 0.26.20)
+project(Okteta VERSION 0.26.21)
 
 set(REQUIRED_KF5_VERSION "5.48.0")
 find_package(ECM ${REQUIRED_KF5_VERSION} REQUIRED NO_MODULE)

=== parts/kpart/tests/CMakeLists.txt ===
set(SUTDIR ${CMAKE_CURRENT_SOURCE_DIR}/..)

include_directories(
  ${SUTDIR}
  ${CMAKE_CURRENT_BINARY_DIR}/..
)

configure_file(oktetaparttest-config.hpp.in ${CMAKE_CURRENT_BINARY_DIR}/oktetaparttest-config.hpp @ONLY)

# TODO: deduplicate object file generation of
ecm_add_test(
  ${SUTDIR}/part.cpp
  ${SUTDIR}/browserextension.cpp
  ${SUTDIR}/partfactory.cpp
  oktetaparttest.cpp
  TEST_NAME oktetaparttest
  NAME_PREFIX kpart-
  LINK_LIBRARIES
  OktetaKastenControllers
  OktetaKastenGui
  OktetaKastenCore
  KastenControllers
  KastenGui
  KastenCore
  KF5::I18n
  KF5::Parts
  Qt5::Test
)

kcoreaddons_desktop_to_json(oktetaparttest ${CMAKE_CURRENT_BINARY_DIR}/../oktetapart.desktop)

=== kasten/core/document/tests/CMakeLists.txt ===
set( SUTDIR ${CMAKE_CURRENT_SOURCE_DIR}/.. )

add_library(OktetaKastenCoreDocumentSourcesTestShim INTERFACE)
target_include_directories(OktetaKastenCoreDocumentSourcesTestShim INTERFACE
  ${CMAKE_CURRENT_BINARY_DIR}/../..
  ${SUTDIR}
  ${SUTDIR}/..
)
# Configure export macros to be setup as with a static lib
# as the source files are reused for the tests.
# Saves doing a separate export header.
target_compile_definitions(OktetaKastenCoreDocumentSourcesTestShim INTERFACE
  -DOKTETAKASTENCORE_STATIC_DEFINE
)

########### bytearraydocumenttest ###############

ecm_add_test(
  bytearraydocumenttest.cpp
  ${SUTDIR}/bytearraydocument.cpp
  TEST_NAME bytearraydocumenttest
  NAME_PREFIX oktetakasten-document-
  LINK_LIBRARIES
  OktetaKastenCoreDocumentSourcesTestShim
  KastenCore
  TestOktetaCore
  Qt5::Test
  KF5::I18n
)


########### bytearraydocumentfactorytest ###############

ecm_add_test(
  bytearraydocumentfactorytest.cpp
  ${SUTDIR}/bytearraydocument.cpp
  ${SUTDIR}/bytearraydocumentfactory.cpp
  TEST_NAME bytearraydocumentfactorytest
  NAME_PREFIX oktetakasten-document-
  LINK_LIBRARIES
  OktetaKastenCoreDocumentSourcesTestShim
  KastenCore
  TestOktetaCoreTestUtil
  TestOktetaCore
  Qt5::Test
  KF5::I18n
)

=== kasten/gui/liboktetawidgets/tests/CMakeLists.txt ===
set(SUTDIR ${CMAKE_CURRENT_SOURCE_DIR}/..)

add_library(OktetaWidgetsSourcesTestShim INTERFACE)
target_include_directories(OktetaWidgetsSourcesTestShim INTERFACE
    ${SUTDIR}
    ${CMAKE_CURRENT_BINARY_DIR}/../..
)
# Configure export macros to be setup as with a static lib
# as the source files are reused for the tests.
# Saves doing a separate export header.
target_compile_definitions(OktetaWidgetsSourcesTestShim INTERFACE
    -DOKTETAKASTENGUI_STATIC_DEFINE
)

ecm_add_test(
    bytearraychar8stringencodertest.cpp
    ${SUTDIR}/bytearraychar8stringencoder.cpp
    TEST_NAME bytearraychar8stringencodertest
    NAME_PREFIX oktetakasten-oktetawidgets-
    LINK_LIBRARIES
        OktetaWidgetsSourcesTestShim
        TestOktetaCore
        Qt5::Test
)

ecm_add_test(
    bytearraychar8stringdecodertest.cpp
    ${SUTDIR}/bytearraychar8stringdecoder.cpp
    TEST_NAME bytearraychar8stringdecodertest
    NAME_PREFIX oktetakasten-oktetawidgets-
    LINK_LIBRARIES
        OktetaWidgetsSourcesTestShim
        TestOktetaCore
        Qt5::Test
)

ecm_add_test(
    bytearraychar8stringcodecroundtriptest.cpp
    ${SUTDIR}/bytearraychar8stringdecoder.cpp
    ${SUTDIR}/bytearraychar8stringencoder.cpp
    TEST_NAME bytearraychar8stringcodecroundtriptest
    NAME_PREFIX oktetakasten-oktetawidgets-
    LINK_LIBRARIES
        OktetaWidgetsSourcesTestShim
        TestOktetaCore
        Qt5::Test
)

ecm_add_test(
    bytearrayutf8stringencodertest.cpp
    ${SUTDIR}/bytearrayutf8stringencoder.cpp
    TEST_NAME bytearrayutf8stringencodertest
    NAME_PREFIX oktetakasten-oktetawidgets-
    LINK_LIBRARIES
        OktetaWidgetsSourcesTestShim
        TestOktetaCore
        Qt5::Test
)

ecm_add_test(
    bytearrayutf8stringdecodertest.cpp
    ${SUTDIR}/bytearrayutf8stringdecoder.cpp
    TEST_NAME bytearrayutf8stringdecodertest
    NAME_PREFIX oktetakasten-oktetawidgets-
    LINK_LIBRARIES
        OktetaWidgetsSourcesTestShim
        TestOktetaCore
        Qt5::Test
)

ecm_add_test(
    bytearrayvalidatortest.cpp
    ${SUTDIR}/bytearraychar8stringdecoder.cpp
    ${SUTDIR}/bytearraychar8stringencoder.cpp
    ${SUTDIR}/bytearraychar8stringvalidator.cpp
    ${SUTDIR}/bytearrayutf8stringdecoder.cpp
    ${SUTDIR}/bytearrayutf8stringencoder.cpp
    ${SUTDIR}/bytearrayutf8stringvalidator.cpp
    ${SUTDIR}/bytearrayvaluestringvalidator.cpp
    ${SUTDIR}/bytearrayvalidator.cpp
    TEST_NAME bytearrayvalidatortest
    NAME_PREFIX oktetakasten-oktetawidgets-
    LINK_LIBRARIES
        OktetaWidgetsSourcesTestShim
        TestOktetaCore
        Qt5::Gui
        Qt5::Test
)

=== kasten/controllers/view/search/tests/CMakeLists.txt ===
set(SUTDIR ${CMAKE_CURRENT_SOURCE_DIR}/..)
set(CONTROLLERSDIR ${SUTDIR}/../..)

ecm_add_test(
    ${CONTROLLERSDIR}/view/libbytearraysearch/bytearraysearchutils.cpp
    ${CONTROLLERSDIR}/view/libbytearraysearch/bytearraysearchjob.cpp
    ${SUTDIR}/searchtool.cpp
    searchtooltest.cpp

    TEST_NAME searchtooltest
    NAME_PREFIX oktetakasten-controllers-search-
    LINK_LIBRARIES
        OktetaKastenGui
        OktetaKastenCore
        KF5::I18n
        Qt5::Test
)
target_include_directories(searchtooltest
    PUBLIC
        ${SUTDIR}
        ${CONTROLLERSDIR}/libconfigentries
        ${CONTROLLERSDIR}/view/libfinddialog
        ${CONTROLLERSDIR}/view/libbytearraysearch
)

=== debian/changelog ===
okteta (5:0.26.21-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update symbols files.
  * Small tweaks to copyright.

 -- Pino Toscano <pino@debian.org>  Sat, 05 Apr 2025 07:11:24 +0200

=== debian/control ===
Source: okteta
Section: kde
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.48.0~),
               gettext,
               libkf5bookmarks-dev (>= 5.48.0~),
               libkf5codecs-dev (>= 5.48.0~),
               libkf5completion-dev (>= 5.48.0~),
               libkf5configwidgets-dev (>= 5.48.0~),
               libkf5crash-dev (>= 5.48.0~),
               libkf5dbusaddons-dev (>= 5.48.0~),
               libkf5doctools-dev (>= 5.48.0~),
               libkf5i18n-dev (>= 5.48.0~),
               libkf5iconthemes-dev (>= 5.48.0~),
               libkf5kcmutils-dev (>= 5.48.0~),
               libkf5kio-dev (>= 5.48.0~),
               libkf5newstuff-dev (>= 5.48.0~),
               libkf5parts-dev (>= 5.48.0~),
               libkf5service-dev (>= 5.48.0~),
               libkf5widgetsaddons-dev (>= 5.48.0~),
               libkf5xmlgui-dev (>= 5.48.0~),
               libqca-qt5-2-dev (>= 2.1.0),
               pkgconf,
               pkg-kde-tools (>= 0.15.23~),
               qtbase5-dev (>= 5.9.0~),
               qtdeclarative5-dev (>= 5.9.0~),
               qtscript5-dev (>= 5.9.0~),
               qttools5-dev (>= 5.9.0~),
               shared-mime-info (>= 0.30),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.2
Rules-Requires-Root: no
Homepage: https://apps.kde.org/en/okteta
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/okteta
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/okteta.git

Package: libkasten4controllers0
Architecture: any
Section: libs
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: controllers Kasten library for Okteta
 Kasten is a framework for composing programs.
 .
 This package provides the controller part of Kasten.

Package: libkasten4core0
Architecture: any
Section: libs
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
         libokteta-l10n (>= ${source:Version}),
Description: core Kasten library for Okteta
 Kasten is a framework for composing programs.
 .
 This package provides the core part of Kasten.

Package: libkasten4gui0
Architecture: any
Section: libs
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: gui Kasten library for Okteta
 Kasten is a framework for composing programs.
 .
 This package provides the GUI part of Kasten.

Package: libkasten4okteta2controllers0
Architecture: any
Section: libs
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: kastencontrollers library for Okteta
 Okteta is a simple editor for the raw data of files. This type of program is
 also called hexadecimal editor or binary editor.
 .
 This package provides the part of the Okteta libraries interfacing with Kasten
 controllers.

Package: libkasten4okteta2core0
Architecture: any
Section: libs
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
         libokteta-l10n (>= ${source:Version}),
Description: kastencore library for Okteta
 Okteta is a simple editor for the raw data of files. This type of program is
 also called hexadecimal editor or binary editor.
 .
 This package provides the part of the Okteta libraries interfacing
 with Kasten core.

Package: libkasten4okteta2gui0
Architecture: any
Section: libs
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: kastengui library for Okteta
 Okteta is a simple editor for the raw data of files. This type of program is
 also called hexadecimal editor or binary editor.
 .
 This package provides the part of the Okteta libraries interfacing
 with Kasten GUI.

Package: libokteta3core0
Architecture: any
Section: libs
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
         libokteta-l10n (>= ${source:Version}),
Description: core Okteta library
 Okteta is a simple editor for the raw data of files. This type of program is
 also called hexadecimal editor or binary editor.
 .
 This package provides the core part of the Okteta libraries.

Package: libokteta3gui0
Architecture: any
Section: libs
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
         libokteta-l10n (>= ${source:Version}),
Description: gui Okteta library
 Okteta is a simple editor for the raw data of files. This type of program is
 also called hexadecimal editor or binary editor.
 .
 This package provides the GUI part of the Okteta libraries.

Package: libokteta-l10n
Architecture: all
Section: localization
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: translations of okteta/kasten libraries
 Okteta is a simple editor for the raw data of files. This type of program is
 also called hexadecimal editor or binary editor.
 .
 This package provides the translations for the various libokteta/libkasten
 libraries.

Package: okteta
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: hexadecimal editor for binary files
 Okteta is a simple editor for the raw data of files. This type of program is
 also called hexadecimal editor or binary editor.
 .
 The data is displayed in two variants: as the numeric values of the bytes
 and as the character assigned to the values. Values and characters can be
 shown either in two columns (the traditional display in hex editors) or in
 rows with the value on top of the character. Editing can be done both for
 the values and for the characters.
 .
 Besides the usual editing capabilities Okteta also brings a small set of
 tools, like a table listing decodings into common simple data types, a table
 listing all possible bytes with their character and value equivalents, an
 info view with a statistic, a checksum calculator, a filter tool and a string
 extraction tool.

Package: okteta-dev
Architecture: any
Section: devel
Depends: libkf5xmlgui-dev (>= 5.48.0~),
         qtbase5-dev (>= 5.9~),
         ${misc:Depends},
         ${shlibs:Depends},
         ${so:Depends},
Description: Development files for Okteta
 Okteta is a simple editor for the raw data of files. This type of program is
 also called hexadecimal editor or binary editor.
 .
 This package contains the development files for Okteta.

=== debian/watch ===
version=4
https://download.kde.org/stable/@PACKAGE@/([\d.]+)/src/@PACKAGE@-([\d.]+)\.tar\.xz

## okteta 0.26.22

=== debian/changelog ===
okteta (5:0.26.22-0ubuntu1) questing; urgency=medium

  * New upstream release (0.26.22)

 -- Rik Mills <rikmills@kde.org>  Fri, 20 Jun 2025 09:49:24 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: okteta
 Section: kde
 Priority: optional
-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
